initial commit

This commit is contained in:
2026-02-12 00:45:31 -08:00
commit 5f168f370b
3024 changed files with 804889 additions and 0 deletions

38
libraries/FastLED/compile Executable file
View File

@@ -0,0 +1,38 @@
#!/bin/bash
set -e
# Function to find Python executable
find_python() {
if command -v python3 &> /dev/null; then
echo "python3"
elif command -v python &> /dev/null; then
echo "python"
else
echo "Python not found. Please install Python 3."
exit 1
fi
}
# Check if uv is installed, if not, install it
if ! command -v uv &> /dev/null; then
echo "uv command not found. Installing uv..."
PYTHON=$(find_python)
$PYTHON -m pip install uv
fi
cd "$(dirname "$0")"
# if .venv not found
if [ ! -d .venv ]; then
# create virtual environment
./install
fi
interactive_stmt=""
# if no arguments
if [ $# -eq 0 ]; then
# set interactive statement
interactive_stmt="--interactive"
fi
echo -e "\nRunning uv run ci/ci-compile.py $interactive_stmt $@\n"
uv run ci/ci-compile.py $interactive_stmt "$@"